%!TEX root=../../thesis.tex
%!TEX file=content/fundamentals/intro.tex

\begin{intro}
In order to give the reader better understanding of the topics dealt with in this thesis, this chapter will introduce well-established fundamentals of \caros such as the overall mechanical layout and the general cause of inverse kinematics and forward kinematics.
First,~\cref{sec:fundamentals:mechatronic-system} will introduce a generic mechatronic system of \caros to introduce the different components of the robot and find a common language.
Following that,~\cref{sec:fundamentals:classification} introduces two fundamental concepts to classify \caros: redundancy and motion pattern.
The two kinematic transformations, inverse and direct kinematics, will be introduced for the general case in~\cref{sec:fundamentals:kinematics}, which serves as basis for static analysis of \caros presented in~\cref{sec:fundamentals:statics}, also stating the most general form of the so-called \emph{structure equation} or \emph{structure matrix}.
Extending these results,~\cref{sec:fundamentals:dynamics} will describe the dynamics of most components of a \caro per state of the art.
Lastly,~\cref{sec:fundamentals:cable-force-distribution} will cover cable force calculation used for controlling \caros and a convenient algorithm for determining such force values.
\end{intro}
